import request from '@/utils/request'

// 查询装置经验数据库列表
export function listExperience(query) {
  return request({
    url: '/reliability/experience/list',
    method: 'get',
    params: query
  })
}

// 查询装置经验数据库详细
export function getExperience(id) {
  return request({
    url: '/reliability/experience/' + id,
    method: 'get'
  })
}

// 新增装置经验数据库
export function addExperience(data) {
  return request({
    url: '/reliability/experience',
    method: 'post',
    data: data
  })
}

// 修改装置经验数据库
export function updateExperience(data) {
  return request({
    url: '/reliability/experience',
    method: 'put',
    data: data
  })
}

// 删除装置经验数据库
export function delExperience(id) {
  return request({
    url: '/reliability/experience/' + id,
    method: 'delete'
  })
}

// 导出装置经验数据库
export function exportExperience(query) {
  return request({
    url: '/reliability/experience/export',
    method: 'get',
    params: query
  })
}